Get Redeemable List
Pulls a list of offers available and defined on Punchh, allowing for browsing/selecting of Punchh offers natively in an external platform. Redeemable search is on a business level, and the request can:
- Set search limits and order by desc search
- Search based on name or segment type filter
- Filter based on name or description For more information, see Headless Offers Management - Distribution
To call this API, the option to distribute offers from an external system must be enabled for the business on the Punchh platform. Contact your Punchh representative to update this Punchh platform configuration.
- Type: stringContent
- Type requiredThe media type of the request body. Must be
application/json. - Type: stringAcceptrequired
The media type the client expects in the response. Must be
application/json. - Type: stringAuthorizationrequired
Bearer token for admin authorization. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: integerpage
Number of pages
- Type: integerper
_page Number of records per page
- Type: stringquery
Define the search string on the redeemable name and description column
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/redeemables \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--data '{
"query": "free",
"page": "1",
"per_page": 20
}'
[
{
"redeemable_id": 20473,
"redeemable_uuid": "test",
"name": "future",
"description": "free",
"redeemable_image_url": "IMAGE_URL_GOES_HERE"
},
{
"redeemable_id": 20408,
"redeemable_uuid": "test",
"name": "New - Free Coffee For 2 !!!",
"description": "",
"redeemable_image_url": "IMAGE_URL_GOES_HERE"
}
]